#!/usr/bin/env python3
# Vygeneruje náhodný text na motivy zadaného
# podle k-gramové statistiky.

from collections import defaultdict
import random

k=3

text = ""
for radek in open('soubor.txt'):
    text += radek[:-1] + ' '

pokrac=defaultdict(list)
for i in range(len(text)-k-1):
    pokrac[text[i:i+k]] += text[i+k]

gen = random.choice(list(pokrac))
while len(gen) < 1000:
    p = pokrac[gen[-k:]]
    if p:
        gen += random.choice(p)
    else:
        gen += '/' + random.choice(list(pokrac))

print(gen)
